package de.doubleslash.service.messaging;

import com.liferay.portal.kernel.messaging.BaseMessageListener;
import com.liferay.portal.kernel.messaging.Message;

import de.doubleslash.service.ClpSerializer;
import de.doubleslash.service.DemoLocalServiceUtil;
import de.doubleslash.service.DemoServiceUtil;


public class ClpMessageListener extends BaseMessageListener {
    public static String getServletContextName() {
        return ClpSerializer.getServletContextName();
    }

    @Override
    protected void doReceive(Message message) throws Exception {
        String command = message.getString("command");
        String servletContextName = message.getString("servletContextName");

        if (command.equals("undeploy") &&
                servletContextName.equals(getServletContextName())) {
            DemoLocalServiceUtil.clearService();

            DemoServiceUtil.clearService();
        }
    }
}
